ENV doesn't raise SecurityError except for aset and delete

Issue #9976 has been updated by Usaku NAKAMURA.

Backport changed from 2.0.0: REQUIRED, 2.1: DONE to 2.0.0: DONE, 2.1:
DONE

backported into ruby_2_0_0 at r47492.


Bug #9976: ENV doesn’t raise SecurityError except for aset and delete
https://bugs.ruby-lang.org/issues/9976#change-48768

  • Author: Nobuyoshi N.
  • Status: Closed
  • Priority: Normal
  • Assignee:
  • Category:
  • Target version:
  • ruby -v: trunk
  • Backport: 2.0.0: DONE, 2.1: DONE